Bug 248726 - Error: Cannot open/read repomd.xml file for repository
Error: Cannot open/read repomd.xml file for repository
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 09:48 EDT by Richard W.M. Jones
Modified: 2014-01-21 17:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 10:51:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-07-18 09:48:14 EDT
Description of problem:

When I enable certain repositories (for example, updates-testing), I get
this really annoying error message.  The message is essentially
meaningless and offers no diagnosis of the problem, nor what I might
do to fix it.

Version-Release number of selected component (if applicable):

# yum --version
3.2.1

How reproducible:

Many times when I use yum on lots of different machines.

Steps to Reproduce:
1. Enable a repository.  (Sometimes you don't even need to do this).
2. yum update or yum install <package>
3.
  
Actual results:

Error: Cannot open/read repomd.xml file for repository: <repo name>

Expected results:

yum should either carry out the action, or should deliver an error
message which makes sense and allows me to rectify the problem.

Additional info:
Comment 1 Seth Vidal 2007-07-18 09:54:24 EDT
Could you post the error message in the context where you're seeing it?
Comment 2 Richard W.M. Jones 2007-07-25 06:47:06 EDT
An example on a fully updated F7 system:

# yum --enablerepo=updates install gc
Setting up Install Process
Parsing package install arguments
development               100% |=========================| 2.1 kB    00:00     
primary.sqlite.bz2        100% |=========================| 5.1 MB    00:21     
Error: Cannot open/read repomd.xml file for repository: updates
Comment 3 Seth Vidal 2007-07-25 10:51:00 EDT
okay, I've changed the output to be:

Cannot retrieve repository metadata (repomd.xml) for repository: updates. Please
verify its path and try again.

If you want more detail then you'll need to provide me with a suggestion on what
would be good b/c I don't know.
Comment 4 Fedora Update System 2007-08-24 01:34:29 EDT
yum-3.2.3-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.